package com.xzzn.ems.domain.vo;


import com.xzzn.common.annotation.Excel;

import java.util.Date;

/**
 * 单站监控-故障告警返回
 *
 */
public class AlarmRecordListResponseVo {
    /** 设备名称 */
    private String deviceName;

    /** 告警等级 */
    private String alarmLevel;

    /** 告警内容 */
    private String alarmContent;

    /** 告警发生时间 */
    private Date alarmStartTime;

    /** 告警结束时间 */
    private Date alarmEndTime;

    /** 状态 */
    private String status;

    /** 工单号 */
    private String ticketNo;

    /** 告警唯一标识 */
    private String id;

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getAlarmLevel() {
        return alarmLevel;
    }

    public void setAlarmLevel(String alarmLevel) {
        this.alarmLevel = alarmLevel;
    }

    public String getAlarmContent() {
        return alarmContent;
    }

    public void setAlarmContent(String alarmContent) {
        this.alarmContent = alarmContent;
    }

    public Date getAlarmStartTime() {
        return alarmStartTime;
    }

    public void setAlarmStartTime(Date alarmStartTime) {
        this.alarmStartTime = alarmStartTime;
    }

    public Date getAlarmEndTime() {
        return alarmEndTime;
    }

    public void setAlarmEndTime(Date alarmEndTime) {
        this.alarmEndTime = alarmEndTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getTicketNo() {
        return ticketNo;
    }

    public void setTicketNo(String ticketNo) {
        this.ticketNo = ticketNo;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
}
